Package com.macrofocus.high_d.scatterplot

# Class AbstractScatterPlotController<Component,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotController<Component,Row,Column>

All Implemented Interfaces:
  `ScatterPlotController<Component,Row,Column>`

Direct Known Subclasses:
  `JavaFXScatterPlotController`

public abstract class AbstractScatterPlotController<Component,Row,Column> extends Object implements ScatterPlotController<Component,Row,Column>
Created by luc on 15/06/16.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractScatterPlotController.DefaultMouseListener`
  `static enum`
  `AbstractScatterPlotController.Mode`
  Interaction mode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotController(ScatterPlotView<Component,?,Font,Row,Column> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.geom.Rectangle2D`
  `getViewport()`
  `com.macrofocus.geom.Rectangle2D`
  `getWorld()`
  `void`
  `setView(ScatterPlotView<Component,?,Font,Row,Column> view)`
  Replace the view currently under control.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractScatterPlotController

    public AbstractScatterPlotController(ScatterPlotView<Component,?,Font,Row,Column> view)

- ## Method Details

  - ### setView

    public void setView(ScatterPlotView<Component,?,Font,Row,Column> view)
    Description copied from interface: `ScatterPlotController`
    Replace the view currently under control.
    Specified by:
      `setView` in interface `ScatterPlotController<Component,Row,Column>`
    Parameters:
      `view` - the ScatterPlotView to use

  - ### getViewport

    public com.macrofocus.geom.Rectangle2D getViewport()

  - ### getWorld

    public com.macrofocus.geom.Rectangle2D getWorld()